Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Common/vtkMultiThreader.h File Reference

`#include "vtkObject.h"`

Include dependency graph for vtkMultiThreader.h:

Go to the source code of this file.

## Compounds

class | vtkMultiThreader
| A class for performing multithreaded execution. More...
class | ThreadInfo

## Defines

#define | ThreadInfoStruct vtkMultiThreader::ThreadInfo

## Typedefs

typedef void(* | vtkThreadFunctionType )(void *)
typedef int | vtkThreadProcessIDType

## Define Documentation

#define ThreadInfoStruct vtkMultiThreader::ThreadInfo

This is the structure that is passed to the thread that is created from the SingleMethodExecute, MultipleMethodExecute or the SpawnThread method. It is passed in as a void *, and it is up to the method to cast correctly and extract the information. The ThreadID is a number between 0 and NumberOfThreads-1 that indicates the id of this thread. The NumberOfThreads is this->NumberOfThreads for threads created from SingleMethodExecute or MultipleMethodExecute, and it is 1 for threads created from SpawnThread. The UserData is the (void )arg passed into the SetSingleMethod, SetMultipleMethod, or SpawnThread method.

Definition at line 121 of file vtkMultiThreader.h.

## Typedef Documentation

typedef void(* vtkThreadFunctionType)(void *)

| Definition at line 92 of file vtkMultiThreader.h.

typedef int vtkThreadProcessIDType

| Definition at line 93 of file vtkMultiThreader.h.